<?php
/*************************************************************************
UPDATE FGW FORM METADATA
*************************************************************************/

/*************************************************************************
LOCATE AND INCLUDE TNG LIBRARY FILES
*************************************************************************/
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

// DETECT ATTEMPTED DIRECT ACCESS TO THIS SCRIPT
if( empty( $_POST ) || !is_array( $_POST ) ) {
	trigger_error( $text['wse_access'], E_USER_ERROR );
	die();
}

require 'fgw_dbconn.php';
require 'fgw_lib.php';
require 'fgw_logger.php';

// GET POSTED DATA
foreach( $_POST as $key => $value ) {
    ${$key} = fgw_sanitize_recursive( $value );
}
//eliminate need for prefixes
$familyID = fgw_format_id( $options['fid_prefix'], $familyID );
$husbID = fgw_format_id( $options['pid_prefix'], $husbID );
$wifeID = fgw_format_id( $options['pid_prefix'], $wifeID );

if( empty( $formID ) ) {
	trigger_error( $admtext['wse_no_formid'], E_USER_ERROR );
	die();
}
// CONSTRUCT QUERY AND UPDATE RECORD
if( empty( $merged ) ) $merged = 0;
if( empty( $closed) ) $closed = 0;
// ALLOW ADMIN TO ADD/EDIT WORKSHEET TITLE - added in v43
if( empty( $description ) ) $description='';
$description = htmlspecialchars($description, ENT_QUOTES | ENT_HTML5);
//echo $description;exit;
$query = "UPDATE {$options['table']}
    set merged='$merged', closed='$closed',
    familyID='$familyID', husbID='$husbID', wifeID='$wifeID',
	 description='$description'
    WHERE formID='$formID'";
$affrows = db_update( $query );

$logstring = "fgw#$formID:ws_admin_status:{$text['ws_updatedby']}";
fgw_writelog( $options['userlog'], $logstring,
			$options['max_loglines'], $options['nologip'] );

echo $text['ws_worksheet'],' ',$formID,' ',$text['ws_updated'];
