<?php
/*************************************************************************
 Search the fgw forms table
*************************************************************************/
/*************************************************************************
LOCATE AND INCLUDE TNG LIBRARY FILES
*************************************************************************/
require_once 'tng_begin.php';
require_once 'fgw_inits.php';
/*
// remove pageback for worksheet so it can get new worksheet
if( isset($_GET['ref']) && $_GET['ref'] == 'link' ) {
	if( isset( $_SESSION['fgw_page8'] ) )
		unset( $_SESSION['fgw_page8'] );
}
*/
if( empty( $_SESSION['fgw_superuser'] ) ) {
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

// Setup fgw_page8 for browser page refresh
/*
$_SESSION['fgw_page8'] = $tngdomain.'/'.$fgw_path.'fgw_search.php';
if( !empty( $_SERVER['QUERY_STRING'] ) ) {
	$_SESSION['fgw_page8'] .= '?'.$_SERVER['QUERY_STRING'];
}
*/
$flags['scripting'] = '';

require 'fgw_dbconn.php';
//require 'fgw_header.php';
require 'fgw_lib.php';
require 'fgw_logger.php';
require 'version.php';

if( empty( $options['table'] ) || !db_table_exists( $options['table'] ) ) {
	trigger_error( $admtext['wse_no_tablename'], E_USER_ERROR );
	die();
}

if( $_SERVER['REQUEST_METHOD'] === 'GET' ) {
	foreach( $_GET as $key=>$value ) {
		if($key == 'lang' || $key == 'mylanguage') {
			trigger_error( $admtext['wse_access'], E_USER_ERROR );
			die();
		}

		if(is_string($value))
			$get[$key] = strip_tags($value);
	}
}
elseif( $_SERVER['REQUEST_METHOD'] === 'POST' ) {
	foreach( $_POST as $key=>$value ) {
		if($key == 'lang' || $key == 'mylanguage') {
			trigger_error( $admtext['wse_access'], E_USER_ERROR );
			die();
		}
		${$key} = fgw_sanitize_recursive( $value );
	}
}

$missing = "<span style=\"color:#990000;\"><strong>[&nbsp;&nbsp;-&nbsp;&nbsp;]</strong></span>";
$treerows = fgw_fetch_permitted_trees( $options['treelist'] );
$gedlist = 'GEDCOM: ';
foreach( $treerows as $row ) {
    $gedlist .= $row['gedcom'].", ";
}
$gedlist = trim( $gedlist, ", ");
$pageTitle = $text['ws_results'];

/*************************************************************************
DELETE REQUESTED WORKSHEET
*************************************************************************/
if( !empty( $get['delete'] ) ) {
   $query = "DELETE FROM {$options['table']}
      WHERE formID='{$get['delete']}'";
   db_delete( $query );

	$logstring = "fgw#{$get['delete']}:ws_deletedby:";
	fgw_writelog( $options['userlog'], $logstring,
				$options['max_loglines'], $options['nologip'] );
}

/*************************************************************************
QUERY DATABASE - SEARCH REQUEST
*************************************************************************/
//echo __FILE__,' ',__LINE__,'<br />';print_r( $_POST );exit;
//foreach( $_POST as $key => $value ) {
//   ${$key} = fgw_sanitize_recursive( $value );
//}
// CONSTRUCT QUERY AND FETCH RECORDS
$query = "SELECT * FROM {$options['table']}";

if( !empty( $searchID ) ) {
   $query .= ' WHERE ';

   $searchID = strtoupper( $searchID );
   $entype = $searchID[0];
   //echo 'entype = ', $entype, '<br />';
   if( $entype == $options['fid_prefix'] ) {
      $query .= "familyID='$searchID'";
   }
   elseif( $entype == $options['pid_prefix'] ) {
      $query .= "husbID='$searchID' OR wifeID='$searchID'";
   }
   else {
      $query .= "formID='$searchID'";
    }
}
$assignedtree = !empty($_SESSION['assignedtree'] )
	? $_SESSION['assignedtree'] : '';
if( $assignedtree ) {
   $query .= empty( $searchID ) ? ' WHERE ' : ' AND ';
   $query .= "gedcom='$assignedtree' OR gedcom=''";
}
$query .= " ORDER BY formID ASC";
$rows = db_select( $query );

/************************************************************************
CREATE PAGE HEADER
*************************************************************************/
foreach( $options as $key => $value ) {
    ${$key} = fgw_sanitize_recursive( $value );
}
$preferEuro = $tngconfig['preferEuro'] ? $tngconfig['preferEuro'] : "false";
// if background image name is empty string,
// form will not set destinationpage8 value!
$form_bgimg = !empty( $form_bgimg ) ? $form_bgimg : "noimage";
# following styles the page and prevents submitting the page with Return key
$flags['scripting'] .= "
<link href=\"css/fgw_style.css\" rel=\"stylesheet\" type=\"text/css\" />
<link href=\"css/fgw_print.css\" rel=\"stylesheet\" type=\"text/css\" media=\"print\" />
<style type=\"text/css\">
<!--
.fgw_container {
    background-color:$form_background;
    background-image:url( {$cms['tngpath']}$form_bgimg );
    border: $form_border;
}
.fgw_content {
    color:$form_text_color;
}
.fgw_content a:link { color:$form_text_color; }

table.genform textarea, table.genform input[type=text] {
  background-color:$field_background_color;
  border:$cell_border;
  color:$field_text_color;
}
table.genform select {
  background-color:$field_background_color;
  color:$field_text_color;
  border: $cell_border;
}
.label{
    color:$form_labels;
}
.warning {color:$error_msg_color;}
.success {color:$notify_msg_color;}
.msgbox{border-bottom:$cell_border;}
-->
</style>";

// DISPLAY TNG PAGE
//include 'fgw_header.php';
tng_header( 'Search', $flags );

/***************************************************************
	NAVIGATION LINKS
***************************************************************/
// HANDLE POTENTIAL SESSION VAR NOTICES
$logged_in = !empty( $_SESSION['logged_in'] ) ? $_SESSION['logged_in'] : '';
$tngrole = !empty( $_SESSION['tngrole'] ) ? $_SESSION['tngrole'] : '';

// VISITORS WITH ONLY ID + FKEY SEE NO MENU -- ONLY THE WORKSHEET
//echo __LINE__,' ',$restricted,' <pre>';print_r($options);exit;
// AUTHORIZED SITE VISITORS SEE MENU FOR CURRENT AND NEW WORKSHEETS
if( ( !$requirelogin && !$options['restricted'] ) || $logged_in ) {

	echo "
	 	<div id='navibar'>
			<a href='fgw.php' target='fgw'>{$text['ws_active']}</a>
			&nbsp;&nbsp;";

	echo "
			<a href='fgw.php?new=1' target='fgw'>{$text['ws_wslink']}</a>
			&nbsp;&nbsp;";
}

// SUPERUSERS ONLY SAME AS ABOVE + SEARCH AND LOGVIEW
if( !empty( $_SESSION['fgw_superuser'] ) ) {
	echo "
		<a href='fgw_search.php?'>{$text['ws_wslist']}</a>
		&nbsp;&nbsp;

		<a href='fgw_logview.php?'>{$text['ws_userlog']}</a>
		&nbsp;&nbsp;";
}

// ADMINS ONLY, SAME AS SUPERUSERS + SETUP
if( $tngrole == 'admin' ) {
	echo "
		<a href='fgw_setup.php?'>{$text['ws_wssetup']}</a>
		&nbsp;&nbsp;";

// Current site/fgw access status
$fgwpriv = !empty( $options['restricted'] ) ?
	'FGW '.$text['ws_closed'] : 'FGW '.$text['ws_open'];
$tngpriv = !empty( $requirelogin ) ?
	'Site '.$text['ws_closed'] : 'Site '.$text['ws_open'];
echo "
	<br />(<span style='white-space:nowrap;'><i>Status: $tngpriv, $fgwpriv</i></span>)";

}
echo "
<br /><br />
</div>";
/************************************************************************
CREATE SEARCH RESULTS HEADER AND DISPLAY PANEL
*************************************************************************/
echo "
<table width=\"95%\">
<tr>
<td width=\"50%\">
<div id=\"fgwicon\" style=\"float:left;\">
  <img src=\"$img/families.gif\" width=\"20\" height=\"20\" alt=\"\"/>
</div>
<div style=\"float:left;\">
<span class=\"header\">&nbsp;$pageTitle</span>
</div>
</td>
</tr>
<tr class=\"spacer\"><td>&nbsp;</td></tr>
</table>
<div class=\"fgw_container\">
<div class=\"fgw_content\">
<h4>$gedlist</h4>";
// factor treerows - if $thetree not in treerows continue
if( count( $rows) ) {
    foreach( $rows as $row ) {
        $thetree = $row['gedcom'];
        if( !empty( $thetree ) && !fgw_in_trees( $thetree, $treerows ) ) continue;
        if( empty( $thetree ) ) $thetree = $missing;
        $familyID = empty( $row['familyID'] ) ? $missing : $row['familyID'];
        $husbID = empty( $row['husbID'] ) ? $missing : $row['husbID'];
        $wifeID = empty( $row['wifeID'] ) ? $missing : $row['wifeID'];

        $link = "fgw.php?id={$row['formID']}&amp;fkey={$row['fkey']}";
        $linktext = "{$text['ws_worksheet']} {$row['formID']}, {$row['description']}
        [{$row['gedcom']}],
        {$text['ws_familyid']}: $familyID, {$text['ws_husbandid']}: $husbID,
        {$text['ws_wifeid']}: $wifeID";

        $linetext2 = "{$text['ws_submittedby']} {$row['subname']} {$row['updated']} ";
        $merged = $row['merged'] ? $text['ws_merged'] : $text['ws_new'];
        $closed = $row['closed'] ? $text['ws_closed'] : $text['ws_open'];

        echo "
<div style=\"display:table-cell;width:25px;\">
   <a href=\"?delete={$row['formID']}\" onClick=\"return confirm('Worksheet ".$row['formID'].': '.$text['ws_confdel']."');\">
      <img src=\"$img/tng_delete.gif\">
   </a>
</div>
<div style=\"display:table-cell;vertical-align:middle;\">
   <a href=\"$link\">$linktext</a><br />
   $linetext2&nbsp;&nbsp;Status: $merged&nbsp;/&nbsp;$closed
</div><br />";
    }
    echo "
<strong><i>{$text['ws_click']}</i></strong><br /><br />";
}
else {
    echo '<strong><i>',$text['ws_nomatch'],'!</i></strong><br ><br />';
}

if( !empty( $backformID ) ) {
//echo __FILE__,' ',__LINE__,'<br /> backfkey = ',$backfkey;exit;
    echo "{$text['ws_returnto']} <a href=\"fgw.php?id=$backformID&amp;fkey=$backfkey\">
{$text['ws_worksheet']} $backformID, $backtitle</a>&nbsp;&nbsp;&nbsp;&nbsp;";
}
echo "
</div><!-- fgw_content -->
</div><!-- fgw_container -->";
tng_footer("");