<?php
/*************************************************************************
CREATE TNG_FORMS TABLE AND TRIGGER
  Standalone - Run once during setup; if table exists all data will be lost!
  Fair warning: table will be dropped with waiting for confirmation!
*************************************************************************/
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

// CONFIRM ACCESS RIGHTS
if( empty( $_SESSION['tngrole'] ) || $_SESSION['tngrole'] != 'admin' ) {
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

if( empty( $_POST['confirmed'] ) ) {
	trigger_error( $admtext['wse_no_confirm'], E_USER_ERROR );
	die();
}

require 'fgw_dbconn.php';

if( empty( $options['table'] ) ) {
	trigger_error( $admtext['wse_no_tablename'], E_USER_ERROR );
	die();
}

db_system( "DROP TABLE IF EXISTS {$options['table']}" );
