<?php
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

// DETECT ATTEMPTED DIRECT ACCESS TO THIS SCRIPT
if( empty( $_POST ) || !is_array( $_POST ) ) {
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

if( !isset( $_POST['personID'] ) ) {
	trigger_error( $admtext['wse_no_personid'], E_USER_ERROR );
	die();
}
/************************************************************************
RETURNS PERSONAL DATA IN XML FORMAT PER AJAX REQUEST
	requested when user enters value in FGW personID field
*************************************************************************/
/************************************************************************
ENHANCED INITIALIZATION: Safely open script from TNG root or from subdirectory
************************************************************************/
//Essential for proper rendering of special chars in supported languages//
$thecharset = $session_charset;
header("Content-Type:text/html; charset=$thecharset");
ini_set( 'default_charset', $thecharset );

require 'fgw_dbconn.php';
require 'fgw_lib.php';
require 'fgw_logger.php';

$hide_lds = empty( $options['hide_lds'] ) ? false : true;
$allow_lds = $_SESSION['allow_lds'];
/*************************************************************************/

foreach( $_POST as $key => $value ) {
    ${$key} = trim( $value );
}

$personID = fgw_format_id( $options['pid_prefix'], $personID );
$query = "SELECT ID from $people_table WHERE personID='$personID'";
$rows = db_select( $query );
if( !count($rows) ) {
	return;
}

${$role} = fgw_fetch_spouse_datapack( $gedcom, $personID );

if( $role == 'husb' ) {
  fgw_show_spouse( 'husb', $husb, $husb );
}
else
  fgw_show_spouse( 'wife', $wife, $wife );
?>
