<?php

// DETECT ATTEMPTED DIRECT ACCESS TO THIS INCLUDE-ONLY SCRIPT
if( count(get_included_files()) == 1 ) {
 	require_once 'fgw_inits.php';
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

// DETECT ACCESS FROM UNAUTHORIZED SCRIPT
if( empty( $confirmation ) || $confirmation != 'e35325117ab18226b4ddf6c780a30acf' ) {
	require_once 'fgw_inits.php';
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}
/*************************************************************************
DISPLAY THE WORKSHEET FORM
*************************************************************************/
$helplink = file_exists($fgw_help_file) ?
"<a onclick=\"return openHelp('$fgw_help_file');\" href=''>{$text['ws_formhelp']}</a>" : "";

echo "\n
<!-- Title -->
<div class='asrow'>
	<div class='ascell subheading'>
		<h2 id='formTitle' style='margin-top:0;'>$formTitle&nbsp;</h2>
	</div>
</div>

<div class='pagerow compact'>

    <!-- Tree selector -->
   <div class='pagecell'>
      $tree_selector
   </div>";

echo "
   <!-- Help link -->
   <div class='pagecell helplink' style='float:right;'>
      $helplink
   </div>

</div>

<!-- Warning - JavaScript missing -->
<div class='pagerow compact'>
   <div class='ascell msgbox' style='vertical-align:middle;'>
      <noscript><p class='warning'>{$text['ws_noscript']}</p></noscript>
      $notify
   </div>
</div>
";

/*************************************************************************
HUSBAND TABLES
*************************************************************************/
echo "
<!-- HUSBAND -->
<div id='husbdata'>
";
if( empty( $husband['personID'] ) ) $husband['personID'] = $husbID;
fgw_show_spouse( 'husb', $husb, $familyID );

echo "
</div><!--husbdata-->
";
/*************************************************************************
WIFE TABLES
*************************************************************************/
echo "
<!-- WIFE -->
<div id='wifedata'>
";
if( empty( $wife['personID'] ) ) $wife['personID'] = $wifeID;
fgw_show_spouse( 'wife', $wife, $familyID );

echo "</div><!-- wifedata -->
";
/*************************************************************************
MARRIAGE TABLE
*************************************************************************/
echo "
<!-- MARRIAGE -->
<div class='pagerow subheading'>
   {$text['ws_marriage']}
</div>

<!-- marriage and divorce -->
<div id='marriage'>
<div class='formrow'>
	<div class='ascell' style='display:inline-block'>
	<div class='formcell'>
		<div class='label'>{$text['ws_marrdate']}</div>
		<input type='text' class='datefield' name='marr[marrdate]' placeholder='$dateformat' value='{$marr['marrdate']}' onblur='checkDate(this);' />
      <input name='marr[familyID]' value='{$marr['familyID']}' type='hidden' />
      <input name='marr[husband]' value='{$marr['husband']}' type='hidden' />
      <input name='marr[wife]' value='{$marr['wife']}' type='hidden' />
	</div>

	<div class='formcell'>
		<div class='label'>{$text['ws_marrplace']}</div>
		<input type='text' class='placefield' name='marr[marrplace]' placeholder='{$text['ws_ph_place']}' value='{$marr['marrplace']}' />
	</div>
	</div>
	
	<div class='ascell' style='display:inline-block'>
	<div class='formcell'>
		<div class='label'>{$text['ws_divdate']}</div>
		<input type='text' class='datefield' name='marr[divdate]' placeholder='$dateformat' value='{$marr['divdate']}' onblur='checkDate(this);' />
	</div>

	<div class='formcell'>
		<div class='label'>{$text['ws_divplace']}</div>
		<input type='text' class='placefield' name='marr[divplace]' placeholder='{$text['ws_ph_place']}' value='{$marr['divplace']}' />
	</div>
	</div>
</div>";

// $allow_lds from $_SESSION via user record
$ldsstyle = !$allow_lds || !empty( $options['hide_lds'] )
    ? "style='display:none;'"
    : "";

echo "\n
<div class='formrow' $ldsstyle>
	<div class='ascell' style='display:inline-block'>
	<div class='formcell'>
		<div class='label'>{$text['ws_sealdate']}</div>
		<input type='text' class='datefield' name='marr[sealdate]' placeholder='$dateformat' value='{$marr['sealdate']}' onblur='checkDate(this);' />
	</div>

   <div class='formcell'>
      <div class='label'>{$text['ws_lds_place']}</div>
      <input type='text' class='placefield' name='marr[sealplace]' value='{$marr['sealplace']}' />
   </div>
	</div>
</div>
</div><!--#marriage-->
";
/*************************************************************************
CHILDREN TABLE
*************************************************************************/
echo "
<!-- CHILDREN -->
<div class='pagerow subheading'>
   <div class='pagecell subhead'>
     {$text['ws_title_children']}&nbsp;&nbsp;
   </div>

   <div class='pagecell icondiv'>
     <img src='{$img}/plus.png' alt='' title='{$text['ws_ph_addchild']}' onclick='addRow();' />
   </div>

   <div class='pagecell icondiv'>
     <img src='{$img}/minus.png' alt='' title='{$text['ws_ph_removechild']}' onclick='deleteLastRow();' />
   </div>

   <div class='pagecell icondiv'>
     <img src='{$img}/help.png' alt=''  title='{$text['ws_qm_info']}' onclick =\"return show_help('{$text['ws_children_help']}');\" />
   </div>
</div><!--pagerow-->

<div id='children'>";

/*
if( !isset( $child ) ) {
  $child[] = fetch_empty_record( $people_table );
}
else {
  array_push( $child, fetch_empty_record( $people_table ) );
}
*/
//print_r( $data );exit;
// add an empty line to input additional kids
$kid_count = !empty( $child ) ? sizeof( $child ) : 0;
if( $kid_count == 0 || !empty( $child[$kid_count-1]['firstname'] ) ) {
  $child[] = fgw_fetch_empty_record( $gedcom, $people_table );
  $kid_count++;
}

for( $i = 0; $i<$kid_count; $i++ ) {

   // backward compatibility
   if( empty( $child[$i]['sex'] ) ) $child[$i]['sex'] = 'U';

    $Msex = $child[$i]['sex'] == 'M' ? "selected = 'selected'" : "";
    $Fsex = $child[$i]['sex'] == 'F' ? "selected = 'selected'" : "";
    $Usex = $child[$i]['sex'] == 'U' ? "selected = 'selected'" : "";

  if( empty( $child[$i]['firstname'] ) && empty( $child[$i]['lastname'] ) ) {
    $child[$i]['lastname'] = $husb['lastname'];
  }

  if( empty( $child[$i]['famc'] ) ) {
     $child[$i]['famc'] = $familyID;
  }
  if( empty( $child[$i]['gedcom'] ) ) $child[$i]['gedcom'] = $form['gedcom'];


   // init living flag
   if( $i == $kid_count-1 )
      $living_check = "checked='checked'"; // default for new child
   else
      $living_check = !empty( $child[$i]['living'] ) ? "checked='checked'" : "";

   if( !empty( $child[$i]['personID'] ) ) {
      $url = "{$_SERVER['PHP_SELF']}?tree=$gedcom&amp;persfamID={$child[$i]['personID']}";
   }
   else {
      $url = '';
   }
	$k=$i+1;
  echo "
<div class='formrow'>
	<div class='formcell' style='min-width:1em;font-size:120%;text-align:center;'>$k</div>

   <!-- children first name(s) -->
   <div class='formcell'>
      <div class='label'>{$text['ws_firstnames']}</div>
		<input class='firstname' name='child[$i][firstname]' value='{$child[$i]['firstname']}' onchange='return addRow();' type='text' />
		<input name='child[$i][personID]'  value='{$child[$i]['personID']}' type='hidden' />
		<input name='child[$i][famc]' value='{$child[$i]['famc']}' type='hidden' />
		<input name='child[$i][gedcom]' value ='{$child[$i]['gedcom']}' type='hidden' />
   </div>

   <div class='formcell'>
      <div class='label'>{$text['ws_lastname']}</div>
      <input class='lastname' name='child[$i][lastname]' value='{$child[$i]['lastname']}' type='text' placeholder='{$text['ws_atbirth']}'/>
   </div>

   <div class='formcell'>
      <div class='label'>{$text['ws_sex']}</div>
      <select name ='child[$i][sex]' >
         <option value='M' $Msex>{$text['ws_male']}</option>
         <option value='F' $Fsex>{$text['ws_female']}</option>
         <option value='U' $Usex>{$text['ws_sexunk']}</option>
      </select>
   </div>

   <div class='formcell'>
      <div class='label'>{$text['ws_living']}</div>
      <input type='hidden' value='0' name='child[$i][living]' />
      <input class='living' value='1' name='child[$i][living]' type='checkbox' $living_check/>
   </div>
	
	<div class='ascell' style='display:inline-block'>
   <div class='formcell'>
      <div class='label'>{$text['ws_dateborn']}</div>
      <input class='datefield' name='child[$i][birthdate]' placeholder='$dateformat' value='{$child[$i]['birthdate']}' onchange='checkDate(this);checkLiving(this);return false;' type='text' />
   </div>

   <div class='formcell'>
      <div class='label'>{$text['ws_placeborn']}</div>
      <input class='placefield' name='child[$i][birthplace]' placeholder='{$text['ws_ph_place']}' value='{$child[$i]['birthplace']}' type='text' />
   </div>
	</div>

	<div class='ascell' style='display:inline-block'>
   <div class='formcell'>
      <div class='label'>{$text['ws_datedied']}</div>
      <input class='datefield' name='child[$i][deathdate]' placeholder='$dateformat' value='{$child[$i]['deathdate']}' onchange='checkDate(this);checkLiving(this);return false;' type='text' />
   </div>

   <div class='formcell'>
      <div class='label'>{$text['ws_placedied']}</div>
      <input class='placefield' name='child[$i][deathplace]' placeholder='{$text['ws_ph_place']}' value='{$child[$i]['deathplace']}' type='text' />
   </div>
	</div>
   <div class='ascell' style='display:inline-block'>
   <div class='pagecell icondiv'>";

   if(!empty($child[$i]['firstname'] ) ) {
      // if child already in database
      if( $url ) {
         echo "
      <img src='{$img}/plus.png' alt='' title='{$text['ws_getform']}' onClick=\"window.open('fgw.php?tree=$gedcom&amp;persfamID={$child[$i]['personID']}', '_blank');\"/>";
      }
      // not in datase
      else {
         echo "
      <img src='{$img}/plus.png' alt='' title='{$text['ws_newform']}' onClick='return wsFromChild($i);' />";
      }
   }

echo "
   </div><!--pagecell icondiv-->
   </div>
</div><!--formrow-->
";
} // child processing loop
echo "
</div><!-- CHILDREN -->";
