<?php

@session_start();

require_once 'fgw_inits.php';
require_once 'fgw_header.php';

// PREVENT PAGE CACHING
$flags['scripting'] = "
	<meta http-equiv='cache-control' content='max-age=0'>
	<meta http-equiv='cache-control' content='no-cache'>
	<meta http-equiv='expires' content='-1'>
	<meta http-equiv='expires' content='Tue, 01 Jan 1980 11:00:00 GMT'>
	<meta http-equiv='pragma' content='no-cache'>";

 // PREVENT VIEWING SCRIPT OUTSIDE OF FGW IFRAME

if( !$debug ) {
$flags['scripting'] .= "
<script>
		if( window.self === window.top ) {
			window.location = 'fgw.php';
		}
</script>";
}

fgw_header( 'Links', $flags );

// STYLE FOR FGW PAGE NAVIGATION LINKS
// why not use tng default for these?
echo "
	<style>
	body {
		background-color:transparent;
	}
	#navibar {
		display:inline;
		font-size:120%;
	}

	#navibar a:link {
		color: black;
	}
	/* unvisited link */
	#navibar a:visited {
		color: black;
	}
	/* previously visited link */
	#navibar a:hover {
		color: #990000;
	}
	/* hovered link */
	#navibar a:active {
		color: black;
	}

	a, span {
		white-space:nowrap;
	}
	</style>";

/***************************************************************
	NAVIGATION LINKS
***************************************************************/
// HANDLE POTENTIAL SESSION VAR NOTICES
$logged_in = !empty( $_SESSION['logged_in'] ) ? $_SESSION['logged_in'] : '';
$tngrole = !empty( $_SESSION['tngrole'] ) ? $_SESSION['tngrole'] : '';

// VISITORS WITH ONLY ID + FKEY SEE NO MENU -- ONLY THE WORKSHEET
//echo __LINE__,' ',$restricted,' <pre>';print_r($options);exit;
// AUTHORIZED SITE VISITORS SEE MENU FOR CURRENT AND NEW WORKSHEETS
if( ( !$requirelogin && !$options['restricted'] ) || $logged_in ) {

	echo "
	 	<div id='navibar'>
			<a href='fgw_worksheet.php' target='fgw'>{$text['ws_active']}</a>
			&nbsp;&nbsp;";

	echo "
			<a href='fgw_worksheet.php?new=1' target='fgw'>{$text['ws_wslink']}</a>
			&nbsp;&nbsp;";
}

// SUPERUSERS ONLY SAME AS ABOVE + SEARCH AND LOGVIEW
if( !empty( $_SESSION['fgw_superuser'] ) ) {
	echo "
		<a href='fgw_search.php?' target='fgw'>{$text['ws_wslist']}</a>
		&nbsp;&nbsp;

		<a href='fgw_logview.php?' target='fgw'>{$text['ws_userlog']}</a>
		&nbsp;&nbsp;";
}

// ADMINS ONLY, SAME AS SUPERUSERS + SETUP
if( $tngrole == 'admin' ) {
	echo "
		<a href='fgw_setup.php?' target='fgw'>{$text['ws_wssetup']}</a>
		&nbsp;&nbsp;";

// Current site/fgw access status
$fgwpriv = !empty( $options['restricted'] ) ?
	'FGW '.$text['ws_closed'] : 'FGW '.$text['ws_open'];
$tngpriv = !empty( $requirelogin ) ?
	'Site '.$text['ws_closed'] : 'Site '.$text['ws_open'];
echo "
	<br />(<span style='white-space:nowrap;'><i>Status: $tngpriv, $fgwpriv</i></span>)";
}

echo "
	</div>
	<script type='text/javascript' src='../js/litbox.js'></script>
</body>
</html>";
