<?php
 /*************************************************************************
Webmaster utility to view Family Group Worksheet users' log. You must be logged in with admin privileges.
**************************************************************************/
/************************************************************************
ENHANCED INITIALIZATION: Safely open script from TNG root or from subdirectory
************************************************************************/
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

// Setup fgw_page8 for browser page refresh
/*
$_SESSION['fgw_page8'] = $tngdomain.'/'.$fgw_path.'fgw_logview.php';
if( !empty( $_SERVER['QUERY_STRING'] ) ) {
	$_SESSION['fgw_page8'] .= '?'.$_SERVER['QUERY_STRING'];
}
*/
// PREVENT ACCESS TO UNAUTHORIZED USERS
$superuser = !empty( $_SESSION['fgw_superuser'] ) ? 1 : 0;
if( !$superuser ) {
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

//require_once 'fgw_header.php';
require_once 'fgw_version.php';
// log displays in administrative language
require_once $admin_language_file;
$userlog = $options['userlog'];
  
/*************************************************************************
	CREATE LOG
*************************************************************************/
if( !file_exists( $userlog ) ) {
	$output = "<?php /*\n*/?>";
	file_put_contents( $userlog, $output );
}

/*************************************************************************
	CLEAR LOG
*************************************************************************/
if( !empty( $_POST['clearlog'] ) ) {
	$output = "<?php /*\n*/?>";
	file_put_contents( $userlog, $output );
}

/*************************************************************************
HTML HEADER
*************************************************************************/
$flags['scripting'] = "
	<script>
		<!--
		function verify_submit(msg) {
		    return confirm(msg);
		}
		//-->
	</script>";

tng_header( '', $flags);

/***************************************************************
	NAVIGATION LINKS
***************************************************************/
// HANDLE POTENTIAL SESSION VAR NOTICES
$logged_in = !empty( $_SESSION['logged_in'] ) ? $_SESSION['logged_in'] : '';
$tngrole = !empty( $_SESSION['tngrole'] ) ? $_SESSION['tngrole'] : '';

// VISITORS WITH ONLY ID + FKEY SEE NO MENU -- ONLY THE WORKSHEET
//echo __LINE__,' ',$restricted,' <pre>';print_r($options);exit;
// AUTHORIZED SITE VISITORS SEE MENU FOR CURRENT AND NEW WORKSHEETS
if( ( !$requirelogin && !$options['restricted'] ) || $logged_in ) {

	echo "
	 	<div id='navibar'>
			<a href='fgw.php' target='fgw'>{$text['ws_active']}</a>
			&nbsp;&nbsp;";

	echo "
			<a href='fgw.php?new=1' target='fgw'>{$text['ws_wslink']}</a>
			&nbsp;&nbsp;";
}

// SUPERUSERS ONLY SAME AS ABOVE + SEARCH AND LOGVIEW
if( !empty( $_SESSION['fgw_superuser'] ) ) {
	echo "
		<a href='fgw_search.php?'>{$text['ws_wslist']}</a>
		&nbsp;&nbsp;

		<a href='fgw_logview.php?'>{$text['ws_userlog']}</a>
		&nbsp;&nbsp;";
}

// ADMINS ONLY, SAME AS SUPERUSERS + SETUP
if( $tngrole == 'admin' ) {
	echo "
		<a href='fgw_setup.php?'>{$text['ws_wssetup']}</a>
		&nbsp;&nbsp;";

// Current site/fgw access status
$fgwpriv = !empty( $options['restricted'] ) ?
	'FGW '.$text['ws_closed'] : 'FGW '.$text['ws_open'];
$tngpriv = !empty( $requirelogin ) ?
	'Site '.$text['ws_closed'] : 'Site '.$text['ws_open'];
echo "
	<br />(<span style='white-space:nowrap;'><i>Status: $tngpriv, $fgwpriv</i></span>)
<br /><br />";
}
/*************************************************************************
PAGE CONTENT
*************************************************************************/
echo "
<div style=\"width:90%;color:black; background-color:#fffffa;\">
	<form style=\"display:inline;\" method=\"post\" action=\"{$_SERVER['PHP_SELF']}\" onsubmit=\"return verify_submit('{$text['su_conf_clearlog']}');\" >
		<input type=\"submit\" name=\"clearlog\" value=\"{$text['su_clearlog']}\" />
	</form>
	<h2 style=\"color:teal;\">FGW&nbsp;{$text['su_user_log']}</h2>";

if( file_exists( $userlog ) ) {
    $llines = file( $userlog );
    array_shift( $llines ); 	// remove first line
    array_pop( $llines );		// remove last line
    foreach( $llines as $lline )
        echo "
	 $lline<br />";
}

/*************************************************************************
FORM FOOTER *
*************************************************************************/
$module_name = pathinfo( __FILE__, PATHINFO_FILENAME );

echo "
	<br />
	<small><i>$module_name ver $fgw_version, rev $revdate</i></small>
</div>
</body>
</html>";
?>
