<?php
include '../../helplib.php';
echo help_header( 'Help: Family Group Worksheet' );
?>
<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
		</p>
		<span class="largeheader">Aide: Family Group Worksheet</span>
		<p class="smaller menu">
			<a href="#general" class="lightlink">Général</a> &nbsp; | &nbsp;
			<a href="#head " class="lightlink">Chefs de famille</a> &nbsp; | &nbsp;
            <a href="#lds" class="lightlink">Événements SDJ</a> &nbsp; | &nbsp;
            <a href="#marriage" class="lightlink">Mariage</a> &nbsp; | &nbsp;
			<a href="#children" class="lightlink">Enfants</a> &nbsp; | &nbsp;
            <a href="#notes" class="lightlink">Notes</a> &nbsp; | &nbsp;
            <a href="#credits" class="lightlink">Crédits</a>&nbsp; | &nbsp;
            <a href="#submit" class="lightlink">Proposer</a>&nbsp;
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="general"><p class="subheadbold">Général</p></a>
        <p>Utilisez ce formulaire pour proposer des groupes familiaux pour qu'ils soient inclus dans notre arbre généalogique. Tous les champs n'ont pas besoin d'être complétés, indiquez juste l'information que vous connaissez. Pour nous aider à identifier à quel endroit de l'arbre placer vos nouvelles informations, le formulaire doit contenir au moins une personne déjà présente dans notre base de données.</p>
        <p>Dans notre base de données, chaque personne a un identifiant (ID) qui peut être trouvé sur la page de son histoire personnelle. Si vous saisissez cet ID dans le formulaire pour le mari ou la femme et que vous cliquez sur le bouton PLUS (+), nous pouvons compléter le formulaire avec les données de cette personne et vous pouvez ainsi en ajouter ou en éditer. Si nous disposons d'informations sur leurs mariages, vous pouvez cliquer dans la liste du menu déroulant du mariage pour choisir le conjoint. Le formulaire ajoutera pour vous le conjoint et les enfants. Si la personne que vous sélectionnez est en vie et que vous de disposez pas des autorisations nécessaires pour voir ce type d'information, le formulaire ne sera pas mis à jour. Après avoir proposé une fiche de saisie de groupe familial, vous avez la possibilité de la corriger si nécessaire et de la proposer de nouveau. Assurez-vous de bien expliquer les corrections dans la zone de notes.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
        <p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="head"><p class="subheadbold">Chefs de famille</p></a>
        <p>Par défaut, les chefs de famille sont listés comme Mari et Femme.  Ces deux titres ainsi que le sexe peuvent être changés par les listes des menus déroulants.</p>
        
        <span class="optionhead">Identifiant (ID) de la personne</span>
        <p>L'identifiant (ID) de la personne est un nombre unique d'identification attaché à chaque individu de notre base de données. Votre première proposition de formulaire doit contenir au moins l'un des chefs de famille qui soit déjà dans notre base de données ; sinon, nous ne saurions pas comment rattacher votre famille à notre arbre. Trouvez d'abord la page personnelle d'un des chefs de famille (ou les deux), relevez son ID personnelle commençant par la lettre I, saisissez la dans le champ correspondant de la fiche de saisie, et cliquez sur le bouton PLUS (+) pour ajouter cette personne.</p>
		</p>Pour supprimer un conjoint, cliquer sur le bouton MOINS (&mdash;) près du champ ID de la personne.</p>
		
		<span class="optionhead">Mariages</span>
		<p>La liste du menu déroulant Mariages permet de sélectionner un conjoint parmi ceux de la personne. Quand la sélection est faite, la fiche de saisie insère toutes les données concernant le mariage, le conjoint et les enfants.</p>

		<span class="optionhead">Préfixe</span>
        <p>Utiliser le préfixe pour indiquer un titre, comme Capitaine, Dr ou Sénateur.</p>
        <span class="optionhead">Prénom</span>
        <p>Le champ prénoms doit comporter tous les prénoms : nom de baptême, second prénom s'ils sont connus.</p>
        <span class="optionhead">Nom de famille</span>
        <p>Patronyme ou pour une femme mariée, nom de naissance.</p>
        <span class="optionhead">Suffixe</span>
        <p>Utiliser ce champ pour spécifier un titre ou un grade.</p>
        <span class="optionhead">En vie</span>
        <p>Une coche dans cette case indique que la personne est en vie. L'information sur les personnes en vie est cachée pour les visiteurs publics. Décocher cette case si l'on sait que cette personne est décédée.</p>
        <span class="optionhead">Autre nom</span>
        <p>Utiliser ce champ si la personne était connue par un  diminutif, un surnom, un pseudo...</p>
        <p>
		<span class="optionhead">Dates et lieux</span>
        <p>Merci de prendre note des formats pour les dates et les lieux.  La date peut avoir un format européen (jj/mm/aaaa) ou américain (mm/jj/aaaa), selon la localisation du site web. En saisissant toujours 23/3/1942, par exemple, ce sera toujours correctement formaté pour notre base de données (23 Mar 1942) et évitera des malentendus et des retards lors du traitement de vos données.</p>
        <p>Les lieux sont généralement énoncés ainsi : ville, comté, état, pays. En France, on dirait plutôt : Ville, Département, Pays. Cependant nous savons bien que certain lieux ne correspondent pas à ce modèle ou que vous pouvez ne pas en connaître tous les détails. Ne saisissez que ce dont vous êtes certain.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="lds"><p class="subheadbold">Événements SDJ</p></a>
        <p>Si le site accepte les événements SDJ et que vous y avez accès, les champs suivants seront disponibles :</p>
        <span class="optionhead">Baptême (SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Confirmation(SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Initiation (SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Dotation (SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Sceau-P (SDJ)</span>
        <p>Ce champ est pour connecter un sceau aux parents.</p>
        <span class="optionhead">Ssceau-S (SDJ)</span>
        <p>Ce champ s'affichera comme élément de l'information sur le mariage et il est utilisé pour enregistrer le sceau entre époux.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="marriage"><p class="subheadbold">Mariage</p></a>
		<p>Ajouter des informations concernant le mariage ou le divorce d'une personne.</p> 
		<p>Si le site accepte les événements SDJ, il existe aussi un champ pour le sceau SDJ à un époux.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="children"><p class="subheadbold">Enfants</p></a>
        <p>Quand vous ajoutez des enfants, une ligne vide pour l'enfant suivant est ajoutée à mesure des besoins. Vous pouvez aussi ajouter manuellement une nouvelle ligne en cliquant sur le bouton PLUS ('+') , <i><u>dans le cas où une ligne vide n'existe pas encore. </u></i>. Pour retirer un enfant de la dernière ligne de la liste, cliquer sur le bouton MOINS ('&dash;'). La dernière ligne peut être retirée, mais cliquer sur ce bouton videra les champs.</p>
 		<span class="optionhead">Prénom</span>
        <p>Un enfant doit avoir un prénom pour être accepté. <i>Si vous ne connaissez pas le prénom ou si l'enfant est mort à la naissance avant qu'on lui donne son prénom, mettre un point d'interrogation dans le champ du prénom.</i></p>
        <span class="optionhead">Dates et Lieux</span>
        <p>Les dates et les lieux doivent être saisis comme expliqué au chapitre <strong>Chefs de famille</strong></p>
        <span class="optionhead">Statut en vie</span>
        <p>Les enfants sont supposés vivants sauf si vous entrez une date de décès. Si vous savez qu'ils sont morts, merci de décocher cette case.</p>
		<span class="optionhead">Nouvelle feuille de saisie</span>
		<p>Une fois qu'un enfant a été saisi, vous verrez un bouton PLUS (+) à la fin de sa ligne de données. Cliquer sur ce bouton ouvrira une nouvelle fiche de saisie dans une nouvelle fenêtre avec cet enfant comme chef de famille. Si les parents ont été renseignés dans la précédente fiche de saisie, ils seront aussi sur la nouvelle. Si l'enfant est déjà dans notre base de données, d'autres informations comme une liste déroulante de mariage peuvent être affichées. Complétez la fiche de saisie et vous pouvez la proposer. Utilisez autant de fiches de saisie que nécessaire pour décrire complètement l'histoire de votre famille.</p>
	</td>
</tr>

<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="notes"><p class="subheadbold">Notes</p></a>
        <p>Utilisez les notes pour apporter des informations complémentaires au sujet des parents ou des enfants, pour expliquer comment cette famille s'intègre dans notre généalogie, pour référencer la source des documents éventuels ou pour indiquer la raison d'une nouvelle proposition du formulaire corrigé.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="credits"><p class="subheadbold">Crédits</p></a>
        <p>Nous souhaitons toujours attribuer le mérite à ceux qui prennent le temps de nous soumettre leurs généalogies.  Techniquement, vous ne serez pas référencé comme une source, au sens où un acte de naissance peut être une source.  Cependant l'information communiquée par un enfant ou un petit-enfant est généralement considérée comme plus fiable que celle proposée anonymement. Ce champ de crédit vous offre la possibilité d'exprimer comment vous souhaitez être reconnu. Ce qui s'affiche est juste une suggestion. Modifiez la à votre convenance, de préférence en indiquant votre lien de parenté avec la famille.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="submit"><p class="subheadbold">Proposer</p></a>
        <p>Quand vous proposez un formulaire complété, une copie en sera crée sur notre site, qui sera accessible via son ID et un long code aléatoire qui vous sera transmis au mail que vous avez fourni. Vous pourrez y revenir, le corriger, et proposer de nouveau en utilisant ce lien. L'administrateur du site traitera votre proposition rapidement, agira en fonction et vous adressera un accusé de réception.
        </p>
	</td>
</tr>
</table>
</body>
</html>