<?php
include '../../helplib.php';
echo help_header( 'Help: Family Group Worksheet' );
?>
<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
		</p>
		<span class="largeheader">Aide: Family Group Worksheet</span>
		<p class="smaller menu">
			<a href="#general" class="lightlink">Gnral</a> &nbsp; | &nbsp;
			<a href="#head " class="lightlink">Chefs de famille</a> &nbsp; | &nbsp;
            <a href="#lds" class="lightlink">vnements SDJ</a> &nbsp; | &nbsp;
            <a href="#marriage" class="lightlink">Mariage</a> &nbsp; | &nbsp;
			<a href="#children" class="lightlink">Enfants</a> &nbsp; | &nbsp;
            <a href="#notes" class="lightlink">Notes</a> &nbsp; | &nbsp;
            <a href="#credits" class="lightlink">Crdits</a>&nbsp; | &nbsp;
            <a href="#submit" class="lightlink">Proposer</a>&nbsp;
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="general"><p class="subheadbold">Gnral</p></a>
        <p>Utilisez ce formulaire pour proposer des groupes familiaux pour qu'ils soient inclus dans notre arbre gnalogique. Tous les champs n'ont pas besoin d'tre complts, indiquez juste l'information que vous connaissez. Pour nous aider  identifier  quel endroit de l'arbre placer vos nouvelles informations, le formulaire doit contenir au moins une personne dj prsente dans notre base de donnes.</p>
        <p>Dans notre base de donnes, chaque personne a un identifiant (ID) qui peut tre trouv sur la page de son histoire personnelle. Si vous saisissez cet ID dans le formulaire pour le mari ou la femme et que vous cliquez sur le bouton PLUS (+), nous pouvons complter le formulaire avec les donnes de cette personne et vous pouvez ainsi en ajouter ou en diter. Si nous disposons d'informations sur leurs mariages, vous pouvez cliquer dans la liste du menu droulant du mariage pour choisir le conjoint. Le formulaire ajoutera pour vous le conjoint et les enfants. Si la personne que vous slectionnez est en vie et que vous de disposez pas des autorisations ncessaires pour voir ce type d'information, le formulaire ne sera pas mis  jour. Aprs avoir propos une fiche de saisie de groupe familial, vous avez la possibilit de la corriger si ncessaire et de la proposer de nouveau. Assurez-vous de bien expliquer les corrections dans la zone de notes.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
        <p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="head"><p class="subheadbold">Chefs de famille</p></a>
        <p>Par dfaut, les chefs de famille sont lists comme Mari et Femme.  Ces deux titres ainsi que le sexe peuvent tre changs par les listes des menus droulants.</p>
        
        <span class="optionhead">Identifiant (ID) de la personne</span>
        <p>L'identifiant (ID) de la personne est un nombre unique d'identification attach  chaque individu de notre base de donnes. Votre premire proposition de formulaire doit contenir au moins l'un des chefs de famille qui soit dj dans notre base de donnes ; sinon, nous ne saurions pas comment rattacher votre famille  notre arbre. Trouvez d'abord la page personnelle d'un des chefs de famille (ou les deux), relevez son ID personnelle commenant par la lettre I, saisissez la dans le champ correspondant de la fiche de saisie, et cliquez sur le bouton PLUS (+) pour ajouter cette personne.</p>
		</p>Pour supprimer un conjoint, cliquer sur le bouton MOINS (&mdash;) prs du champ ID de la personne.</p>
		
		<span class="optionhead">Mariages</span>
		<p>La liste du menu droulant Mariages permet de slectionner un conjoint parmi ceux de la personne. Quand la slection est faite, la fiche de saisie insre toutes les donnes concernant le mariage, le conjoint et les enfants.</p>

		<span class="optionhead">Prfixe</span>
        <p>Utiliser le prfixe pour indiquer un titre, comme Capitaine, Dr ou Snateur.</p>
        <span class="optionhead">Prnom</span>
        <p>Le champ prnoms doit comporter tous les prnoms : nom de baptme, second prnom s'ils sont connus.</p>
        <span class="optionhead">Nom de famille</span>
        <p>Patronyme ou pour une femme marie, nom de naissance.</p>
        <span class="optionhead">Suffixe</span>
        <p>Utiliser ce champ pour spcifier un titre ou un grade.</p>
        <span class="optionhead">En vie</span>
        <p>Une coche dans cette case indique que la personne est en vie. L'information sur les personnes en vie est cache pour les visiteurs publics. Dcocher cette case si l'on sait que cette personne est dcde.</p>
        <span class="optionhead">Autre nom</span>
        <p>Utiliser ce champ si la personne tait connue par un  diminutif, un surnom, un pseudo...</p>
        <p>
		<span class="optionhead">Dates et lieux</span>
        <p>Merci de prendre note des formats pour les dates et les lieux.  La date peut avoir un format europen (jj/mm/aaaa) ou amricain (mm/jj/aaaa), selon la localisation du site web. En saisissant toujours 23/3/1942, par exemple, ce sera toujours correctement format pour notre base de donnes (23 Mar 1942) et vitera des malentendus et des retards lors du traitement de vos donnes.</p>
        <p>Les lieux sont gnralement noncs ainsi : ville, comt, tat, pays. En France, on dirait plutt : Ville, Dpartement, Pays. Cependant nous savons bien que certain lieux ne correspondent pas  ce modle ou que vous pouvez ne pas en connatre tous les dtails. Ne saisissez que ce dont vous tes certain.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="lds"><p class="subheadbold">vnements SDJ</p></a>
        <p>Si le site accepte les vnements SDJ et que vous y avez accs, les champs suivants seront disponibles :</p>
        <span class="optionhead">Baptme (SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Confirmation(SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Initiation (SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Dotation (SDJ)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Sceau-P (SDJ)</span>
        <p>Ce champ est pour connecter un sceau aux parents.</p>
        <span class="optionhead">Ssceau-S (SDJ)</span>
        <p>Ce champ s'affichera comme lment de l'information sur le mariage et il est utilis pour enregistrer le sceau entre poux.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="marriage"><p class="subheadbold">Mariage</p></a>
		<p>Ajouter des informations concernant le mariage ou le divorce d'une personne.</p> 
		<p>Si le site accepte les vnements SDJ, il existe aussi un champ pour le sceau SDJ  un poux.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="children"><p class="subheadbold">Enfants</p></a>
        <p>Quand vous ajoutez des enfants, une ligne vide pour l'enfant suivant est ajoute  mesure des besoins. Vous pouvez aussi ajouter manuellement une nouvelle ligne en cliquant sur le bouton PLUS ('+') , <i><u>dans le cas o une ligne vide n'existe pas encore. </u></i>. Pour retirer un enfant de la dernire ligne de la liste, cliquer sur le bouton MOINS ('&dash;'). La dernire ligne peut tre retire, mais cliquer sur ce bouton videra les champs.</p>
 		<span class="optionhead">Prnom</span>
        <p>Un enfant doit avoir un prnom pour tre accept. <i>Si vous ne connaissez pas le prnom ou si l'enfant est mort  la naissance avant qu'on lui donne son prnom, mettre un point d'interrogation dans le champ du prnom.</i></p>
        <span class="optionhead">Dates et Lieux</span>
        <p>Les dates et les lieux doivent tre saisis comme expliqu au chapitre <strong>Chefs de famille</strong></p>
        <span class="optionhead">Statut en vie</span>
        <p>Les enfants sont supposs vivants sauf si vous entrez une date de dcs. Si vous savez qu'ils sont morts, merci de dcocher cette case.</p>
		<span class="optionhead">Nouvelle feuille de saisie</span>
		<p>Une fois qu'un enfant a t saisi, vous verrez un bouton PLUS (+)  la fin de sa ligne de donnes. Cliquer sur ce bouton ouvrira une nouvelle fiche de saisie dans une nouvelle fentre avec cet enfant comme chef de famille. Si les parents ont t renseigns dans la prcdente fiche de saisie, ils seront aussi sur la nouvelle. Si l'enfant est dj dans notre base de donnes, d'autres informations comme une liste droulante de mariage peuvent tre affiches. Compltez la fiche de saisie et vous pouvez la proposer. Utilisez autant de fiches de saisie que ncessaire pour dcrire compltement l'histoire de votre famille.</p>
	</td>
</tr>

<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="notes"><p class="subheadbold">Notes</p></a>
        <p>Utilisez les notes pour apporter des informations complmentaires au sujet des parents ou des enfants, pour expliquer comment cette famille s'intgre dans notre gnalogie, pour rfrencer la source des documents ventuels ou pour indiquer la raison d'une nouvelle proposition du formulaire corrig.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="credits"><p class="subheadbold">Crdits</p></a>
        <p>Nous souhaitons toujours attribuer le mrite  ceux qui prennent le temps de nous soumettre leurs gnalogies.  Techniquement, vous ne serez pas rfrenc comme une source, au sens o un acte de naissance peut tre une source.  Cependant l'information communique par un enfant ou un petit-enfant est gnralement considre comme plus fiable que celle propose anonymement. Ce champ de crdit vous offre la possibilit d'exprimer comment vous souhaitez tre reconnu. Ce qui s'affiche est juste une suggestion. Modifiez la  votre convenance, de prfrence en indiquant votre lien de parent avec la famille.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Haut de page</a></p>
		<a name="submit"><p class="subheadbold">Proposer</p></a>
        <p>Quand vous proposez un formulaire complt, une copie en sera cre sur notre site, qui sera accessible via son ID et un long code alatoire qui vous sera transmis au mail que vous avez fourni. Vous pourrez y revenir, le corriger, et proposer de nouveau en utilisant ce lien. L'administrateur du site traitera votre proposition rapidement, agira en fonction et vous adressera un accus de rception.
        </p>
	</td>
</tr>
</table>
</body>
</html>