<?php
include '../../helplib.php';
echo help_header( 'Help: Family Group Worksheet' );
?>
<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
		</p>
		<span class="largeheader"> Guida: foglio di famiglia</span>
		<p class="smaller menu">
			<a href="#general" class="lightlink">Generale</a> &nbsp; | &nbsp;
			<a href="#head " class="lightlink">Capi della Famiglia</a> &nbsp; | &nbsp;
            <a href="#lds" class="lightlink">LDS Eventi</a> &nbsp; | &nbsp;
            <a href="#marriage" class="lightlink">Matrimonio</a> &nbsp; | &nbsp;
			<a href="#children" class="lightlink">Bambini</a> &nbsp; | &nbsp;
            <a href="#notes" class="lightlink">Note</a> &nbsp; | &nbsp;
            <a href="#credits" class="lightlink">Crediti</a>&nbsp; | &nbsp;
            <a href="#submit" class="lightlink">Inviare</a>&nbsp;
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="general"><p class="subheadbold">Generale</p></a>
			<p>Utilizzare questo modulo per inviare gruppi familiari al sito per l'inclusione nel nostro albero
			genealogico. Tutti i campi non devono essere compilati, solo fornire le informazioni che sapete.
			Per aiutarci a identificare dove nel nostro albero genealogico per inserire le nuove informazioni,
			il modulo deve contenere almeno una persona che è già nel nostro database.</p>
			<p>Nel nostro database, ogni persona ha un ID di persona che può essere trovato sulla sua
			pagina di storia. Se si immette tale numero in forma per il marito o la moglie, si riempirà il
			modulo con i dati di quella persona così che è possibile aggiungere o modificarlo. Se la persona
			sta vivendo e non hai i privilegi per vedere questo genere di informazioni, è possibile che il
			modulo non verrà aggiornata. Dopo aver presentato un foglio di lavoro del gruppo di famiglia, si
			può correggere e inviala nuovamente se necessario. Assicurarsi di spiegare le correzioni
			nell'area note.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
        <p style="float:right"><a href="#top">Top</a></p>
		<a name="head"><p class="subheadbold">Heads of Family</p></a>
        <p>Per impostazione predefinita le teste della famiglia sono elencate come marito e moglie. I
			titoli e il sesso può essere modificati tramite gli elenchi a discesa. Se il sesso è cambiato, le
			etichette di campo cambierà anche.</p>
        
		<span class="optionhead">ID Persona</span>
			<p>Persona ID è un numero di identificazione univoco collegato a tutti nel nostro database. Il
			primo invio di form deve contenere almeno uno dei tuoi capi di famiglia che sono già nel nostro
			database; in caso contrario, non sapremo come allegare la tua famiglia al nostro albero. Si
			prega di trovare la pagina personale per uno o due capi di famiglia, prendere nota dell'ID di
			persona iniziano con la lettera 'I' e immetterlo nel campo corrispondente nel foglio di lavoro.</p>
			
		<span class="optionhead">Prefisso</span>
        <p>Utilizzare il prefisso per includere titoli come capitano, Dr. o Senator</p>
		  
        <span class="optionhead">Primo Nome</span>
        <p>Nomi dovrebbe includere tutti i nomi di determinato o centrali se conosciuta.</p>
		  
        <span class="optionhead">Cognome</span>
        <p>Cognome o, nel caso di una donna sposata, il suo nome da nubile.</p>
		  
        <span class="optionhead">Suffisso</span>
        <p>Utilizzare questo campo per includere titoli o gradi come Phd, MD, o Jr.</p>
		  
        <span class="optionhead">Vivere</span>
        <p>A segno di spunta qui indica che la persona è ancora in vita. Informazioni su persone viventi sono nascosto dal pubblico. Deselezionare questa casella se la persona è conosciuta per essere deceduti.</p>
		  
        <span class="optionhead">Sopronome</span>
        <p>Utilizzare questo campo se la persona era solito noto di un diminuative, affettuoso o con altri nomi come "Shorty".</p>
		  
		<span class="optionhead">Date e Luoghi</span>
        <p>Nota: i formati per date e luoghi. Le date possono essere europeo (dd/mm/aaaa) o americano (mm/gg/aaaa), a econda della posizione del sito Web. Sempre inserirli come 23/03/1942, ad esempio, assicurerà correttamente formattato (23 marzo 1942) per il nostro database e per evitare confusione e ritardo nell'accettazione dei dati.</p>
		  <p>Posti sono normalmente indicati come città, Contea, stato, paese. Tuttavia, riconosciamo che alcuni luoghi non si adattano a quel modello, o non si può sapere tutto di esso. Immettere solo quello che sai per certo.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="lds"><p class="subheadbold">LDS Eventi</p></a>
        <p>Se il sito supporta LDS eventi e si sono concesso l'accesso ad essi, i seguenti campi saranno a vostra disposizione:</p>
        <span class="optionhead">Battezzato (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Confermato (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Iniziatico (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Dotato (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Sigillato genitori (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Sigillato Sposo (LDS)</span>
        <p>In questo campo apparirà come parte delle informazioni del matrimonio ed è utilizzato per registrare tenuta a coniuge.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="marriage"><p class="subheadbold">Matrimonio</p></a>
		<p>Aggiungere le informazioni riguardanti il matrimonio e / o il divorzio di una persona.</p> 
		<p>Se il sito supporta LDS eventi, c'è anche spazio per LDS tenuta a coniuge.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="children"><p class="subheadbold">Bambini</p></a>
        <p>Quando si aggiungono i bambini, verrà aggiunta una riga vuota per il prossimo bambino, se necessario, oppure è possibile aggiungere una nuova linea manualmente, facendo clic sul pulsante più ('+'), <i><u>fornito una riga vuota non lo fa già esistono</u></i>. Per rimuovere una linea bambino dal fondo della lista, fare clic sul segno meno ('& dash;') pulsante. L'ultima riga non può essere rimosso, ma clic su questo pulsante cancellerà i dati.</p>
		  
 		<span class="optionhead">Primo Nome</span>
        <p>Un bambino deve avere un nome per essere accettato. <i> Se non si conosce il nome del bambino, o il bambino morto alla nascita prima di essere nominato, entro in un punto interrogativo nel campo Nome.</i></p>
		  
        <span class="optionhead">Date e Luoghi</span>
        <p>Date e luoghi dovrebbero essere inseriti come spiegato in <strong> Capi di Famiglia</strong></p>
		  
        <span class="optionhead">vivere stato</span>
        <p>I bambini sono assunti a vivere se non si immette una data di morte. Se si sa che sono deceduti, deselezionare questa casella.</p>
		  
		<span class="optionhead">Nuovo Foglio di Lavoro</span>
		<p>Dopo che è stato inserito un bambino si vedrà un pulsante più (+) alla fine della loro linea dati. Cliccando su questo pulsante si aprirà un foglio di lavoro in una nuova finestra con quel bambino compilato come capo della famiglia. Se i genitori sono forniti nel primo foglio di lavoro, sono fornire anche qui. Se il bambino è già nel nostro database, informazioni aggiuntive come un matrimoni elenco a discesa può essere fornito. Compila il foglio di lavoro e lo presenta, se volete. Utilizzare come molti fogli di lavoro di cui hai bisogno per descrivere appieno la vostra storia di famiglia.</p>
	</td>
</tr>

<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="notes"><p class="subheadbold">Note</p></a>
        <p>Utilizzare Note per fornire ulteriori informazioni sul genitori o figli, per spiegare come questa famiglia si inserisce nella nostra genealogia, documenti di origine che possono essere applicati, o la ragione di inviare nuovamente una forma corretta.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="credits"><p class="subheadbold">Crediti</p></a>
        <p>Vogliamo sempre di dare credito a coloro che prendono il tempo per presentare le loro genealogie a noi. Tecnicamente, non sarà una fonte, nello stesso senso in cui un certificato di nascita è una fonte. Tuttavia, le informazioni fornite dal figlio di Somone o nipote è generalmente accettato come più affidabile di quella prevista in forma anonima. La linea di credito ti dà la possibilità di esprimere come si desidera essere riconosciuto. Il valore predefinito è solo un suggerimento. Si prega di modificarlo per soddisfare se stessi, preferibilmente con qualche dichiarazione su come si sono legati alla famiglia.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="submit"><p class="subheadbold">Inviare</p></a>
        <p>Quando si invia il modulo compilato, verrà creata una copia sul nostro sito web che è possibile accedere utilizzando il suo numero di identificazione e una chiave lunga casuale che viene inviato come un link all'indirizzo e-mail fornito. È possibile continuare a rivedere, modificare e salvare nuovamente utilizzando il link. In breve tempo l'amministratore del sito esaminerà e agire la vostra presentazione e ti invieremo conferma.
        </p>
	</td>
</tr>
</table>
</body>
</html>