<?php
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

// DETECT ATTEMPTED DIRECT ACCESS TO THIS SCRIPT
if( empty( $_POST ) || !is_array( $_POST ) ) {
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

require 'fgw_dbconn.php';
require 'fgw_lib.php';
require 'fgw_logger.php';

// DETERMINE WHICH INTRO TO DISPLAY WITH FAMILY FILL
$superuser = !empty( $_SESSION['fgw_superuser'] ) ? 1 : 0;
if( $superuser ) {
	$notify = "<span class=\"info\"><i>{$text['ws_admin_intro']}</i></span>";
}
else {
	$notify = "<span class=\"info\"><i>{$text['ws_intro']}</i></span>";
}

// initialize some variables
$gedcom = '';
$persfamID = '';
$familyID = '';
$personID = '';
$husbID = '';
$wifeID = '';

foreach( $_POST as $key => $value ) {
   ${$key} = $value;
}

// ??? check for token in session to assure we were properly called
if( empty( $debug ) ) { // don't require this while debugging scripts
   if( !empty( $_GET ) ) {
      die( "Sorry!" );exit;
   }
}

$trees = fgw_fetch_permitted_trees( $options['treelist'] );
$tree_selector = fgw_tree_selector( $trees, $gedcom  );
$familyID = '';

// process persfamID as appropriate
if( !empty( $persfamID ) ) {
	$persfamID = strtoupper( $persfamID );
	if( $persfamID[0] == $options['fid_prefix']) {
		$familyID = $persfamID;
	}
	if( is_numeric( $persfamID ) ) {
		$persfamID = fgw_format_id( $options['pid_prefix'], $persfamID );
	}
	$data = fgw_fetch_persfam_data( $gedcom, $persfamID );
	//echo __LINE__,'<pre>';print_r($data);exit;
}
// calling for clean worksheet
else {
	$data = fgw_fetch_persfam_data_empty( $gedcom );
}

// fgw_form.php needs this
foreach( $data as $key => $value ) {
   ${$key} = $value;
}

$formTitle = fgw_title( $data['husb'], $data['wife'] );

$confirmation = 'e35325117ab18226b4ddf6c780a30acf';
include 'fgw_form.php';
