<?php
include '../../helplib.php';
echo help_header( 'Hilfe: Arbeitsblatt für Familiengruppen' );
?>
<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
		</p>
		<span class="largeheader">Hilfe: Arbeitsblatt für Familiengruppen</span>
		<p class="smaller menu">
			<a href="#general" class="lightlink">Allgemeines</a> &nbsp; | &nbsp;
			<a href="#head " class="lightlink">Familienoberhäupter</a> &nbsp; | &nbsp;
            <a href="#lds" class="lightlink">HLT-Ereignisse</a> &nbsp; | &nbsp;
            <a href="#marriage" class="lightlink">Heirat</a> &nbsp; | &nbsp;
			<a href="#children" class="lightlink">Kinder</a> &nbsp; | &nbsp;
            <a href="#notes" class="lightlink">Anmerkungen</a> &nbsp; | &nbsp;
            <a href="#credits" class="lightlink">Anerkennung</a>&nbsp; | &nbsp;
            <a href="#submit" class="lightlink">Übermitteln</a>&nbsp;
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="general"><p class="subheadbold">Allgemeines</p></a>
        <p>Verwenden Sie dieses Formular, um Familiengruppen zur Aufnahme in unseren Stammbaum auf der Website einzureichen. Es müssen nicht alle Felder ausgefüllt werden, sondern nur die Informationen, die Sie kennen. Um herauszufinden, wo in unserem Stammbaum Ihre neuen Informationen abgelegt werden sollen, sollte das Formular mindestens eine Person enthalten, die sich bereits in unserer Datenbank befindet. </p>
        <p> In unserer Datenbank hat jede Person eine ID, die auf ihrer Verlaufsseite zu finden ist. Wenn Sie diese ID-Nummer in das Formular für Ehemann oder Ehefrau eingeben und auf das Pluszeichen (+) klicken, füllen wir das Formular mit den Daten dieser Person aus, damit Sie es ergänzen oder bearbeiten können. Wenn wir Informationen über ihre Ehen haben, können Sie auf die Dropdown-Liste Ehen klicken und einen Ehepartner auswählen. Das Formular fügt den Ehepartner und die Kinder für Sie hinzu. Wenn die von Ihnen ausgewählte Person lebt und Sie nicht über die Berechtigung verfügen, diese Art von Informationen anzuzeigen, wird das Formular nicht aktualisiert. Nachdem Sie ein Arbeitsblatt für Familiengruppen eingereicht haben, können Sie es korrigieren und gegebenenfalls erneut einreichen. Stellen Sie sicher, dass Sie die Korrekturen im Bereich Notizen erläutern.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
        <p style="float:right"><a href="#top">Top</a></p>
		<a name="head"><p class="subheadbold">Familienoberhäupter</p></a>
        <p>Standardmäßig werden die Familienoberhäupter als Ehemann und Ehefrau aufgeführt. Sowohl die Titel als auch das Geschlecht können über die Dropdown-Listen geändert werden.</p>
        
        <span class="optionhead">Person ID</span>
        <p>Die Personen-ID ist eine eindeutige Identifikationsnummer, die jedem in unserer Datenbank zugeordnet ist. Ihr erstes Formular sollte mindestens einen Ihrer Familienoberhäupter enthalten, der sich bereits in unserer Datenbank befindet. Andernfalls wissen wir nicht, wie wir Ihre Familie an unseren Baum binden sollen. Suchen Sie die persönliche Seite für einen oder beide Familienoberhäupter, notieren Sie sich die Personen-ID, die mit dem Buchstaben "I" beginnt, geben Sie sie in das entsprechende Feld im Arbeitsblatt ein und klicken Sie auf das Pluszeichen (+), um diese Person hinzuzufügen.</p>
		</p>Um einen Ehepartner zu entfernen, klicken Sie auf die Minus-Schaltfläche ('&dash;') neben dem Feld PersonID.
		
		</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p><a name="marriage"><span class="optionhead">Heiraten</span>
		<p>In der Dropdown-Liste Ehen können wir unter den Ehepartnern der Person auswählen. Bei Auswahl dieser Option werden im Arbeitsblatt alle Daten zur Ehe, zum Ehepartner und zu den Kindern eingefügt.</p>

		<span class="optionhead">Präfix</span>
        <p>Verwenden Sie das Präfix, um Titel wie Captain, Dr. oder Senator einzuschließen.</p>
        <span class="optionhead">Vornamen</span>
        <p>Vornamen sollten alle Vor- oder Nachnamen enthalten, falls bekannt.</p>
        <span class="optionhead">Nachnamen</span>
        <p>Nachname oder im Falle einer verheirateten Frau ihr Mädchenname.</p>
        <span class="optionhead">Suffix</span>
        <p>Verwenden Sie dieses Feld, um Titel oder Abschlüsse wie Phd, MD oder Jr. einzuschließen.</p>
        <span class="optionhead">Lebend</span>
        <p>Ein Häkchen hier zeigt an, dass die Person noch lebt. Informationen über lebende Personen sind vor öffentlichen Besuchern verborgen. Deaktivieren Sie dieses Kontrollkästchen, wenn bekannt ist, dass die Person verstorben ist.</p>
        <span class="optionhead">Nickname</span>
        <p>Verwenden Sie dieses Feld, wenn die Person normalerweise unter einem Diminutiv, einem liebevollen oder einem anderen Namen wie "Shorty" bekannt war.</p>
        <p>
		<span class="optionhead">Datum und Orte</span>
        <p>Bitte beachten Sie die Formate für Daten und Orte. Die Daten können je nach Standort der Website europäisch (TT/MM/JJJ) oder amerikanisch (MM/TT/JJJJ) sein. Wenn Sie sie beispielsweise immer als 23.03.1942 eingeben, wird sichergestellt, dass sie korrekt für unsere Datenbank formatiert sind (23. März 1942), und Verwirrung und Verzögerungen bei der Annahme Ihrer Daten werden vermieden. </p>
         <p> Orte werden normalerweise als Stadt, Landkreis, Bundesland, Land angegeben. Wir sind uns jedoch bewusst, dass einige Standorte nicht zu diesem Muster passen, oder dass Sie möglicherweise nicht alles wissen. Geben Sie nur das ein, was Sie sicher wissen.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="lds"><p class="subheadbold">HLT-Ereignisse</p></a>
        <p>Wenn die Website HTL-Ereignisse unterstützt und Sie Zugriff darauf erhalten, stehen Ihnen folgende Felder zur Verfügung:</p>
        <span class="optionhead">Taufe (HTL)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Konfirmation (HTL)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Initiation (HTL)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Begabung (HTL)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Siegelung-E (HTL)</span>
        <p>Dieses Feld dient zur Siegelung der Eltern</p>
        <span class="optionhead">Siegelung-S (HTL)</span>
        <p>Dieses Feld wird als Teil der Heiratsinformationen angezeigt und dient zur Aufzeichnung der Siegelung für den Ehepartner.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="marriage"><p class="subheadbold">Heirat</p></a>
		<p>Fügen Sie Informationen zur Ehe und/oder Scheidung einer Person hinzu.</p> 
		<p>Wenn die Seite HTL-Ereignisse unterstützt, ist auch Platz für die HTL-Siegelung für den Ehepartner vorhanden.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="children"><p class="subheadbold">Kinder</p></a>
        <p>Wenn Sie untergeordnete Elemente hinzufügen, wird nach Bedarf eine leere Zeile für das nächste untergeordnete Element hinzugefügt. Sie können auch manuell eine neue Zeile hinzufügen, indem Sie auf das Pluszeichen klicken ('+'), <i><u>vorausgesetzt, eine leere Zeile existiert noch nicht</u></i>. Um eine untergeordnete Zeile vom Ende der Liste zu entfernen, klicken Sie auf das Minus ('&dash;') Zeichen. Die letzte Zeile kann nicht entfernt werden, aber durch Klicken auf diese Schaltfläche werden die Daten gelöscht.</p>
  <span class = "optionhead"> Vornamen</span>
         <p> Ein Kind muss einen Vornamen haben, um akzeptiert zu werden. <i> Wenn Sie den Namen des Kindes nicht kennen oder das Kind bei der Geburt gestorben ist, bevor es benannt wurde, geben Sie ein Fragezeichen in das Feld Vorname ein.</i></p>
         <span class = "optionhead"> Daten und Orte </span>
         <p> Daten und Orte sollten wie unter <strong> Familienoberhäupter </strong> </p> erläutert eingegeben werden
         <span class = "optionhead"> Lebensstatus </span>
         <p> Es wird angenommen, dass Kinder leben, es sei denn, Sie geben ein Todesdatum ein. Wenn Sie wissen, dass sie verstorben sind, deaktivieren Sie dieses Kontrollkästchen.</p>
		<span class="optionhead">Neues Arbeitsblatt</span>
		<p>Nachdem ein Kind eingegeben wurde, sehen Sie am Ende der Datenzeile ein Pluszeichen (+). Durch Klicken auf diese Schaltfläche wird ein Arbeitsblatt in einem neuen Fenster geöffnet, in dem das Kind als Haushaltsvorstand eingetragen ist. Wenn Eltern im ersten Arbeitsblatt angegeben sind, werden sie auch hier angegeben. Wenn sich das Kind bereits in unserer Datenbank befindet, können zusätzliche Informationen wie eine Dropdown-Liste für Ehen bereitgestellt werden. Füllen Sie das Arbeitsblatt aus und senden Sie es ab, wenn Sie möchten. Verwenden Sie so viele Arbeitsblätter, wie Sie benötigen, um Ihre Familiengeschichte vollständig zu beschreiben.</p>
	</td>
</tr>

<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="notes"><p class="subheadbold">Anmerkungen</p></a>
        <p>Verwenden Sie Notizen, um zusätzliche Informationen zu Eltern oder Kindern bereitzustellen, um zu erläutern, wie diese Familie in unsere Genealogie passt, möglicherweise zutreffende Quelldokumente oder den Grund für die erneute Übermittlung eines korrigierten Formulars.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="credits"><p class="subheadbold">Anerkennung</p></a>
        <p>Wir möchten immer diejenigen würdigen, die sich die Zeit nehmen, uns ihre Genealogie vorzulegen. Technisch gesehen sind Sie keine Quelle, im gleichen Sinne wie eine Geburtsurkunde eine Quelle. Informationen, die von einem Kind oder Enkel eines Menschen übermittelt werden, gelten jedoch allgemein als zuverlässiger als die anonym bereitgestellten. Über die Kreditlinie können Sie ausdrücken, wie Sie bestätigt werden möchten. Die Standardeinstellung ist nur ein Vorschlag. Bitte ändern Sie es nach Ihren Wünschen, vorzugsweise mit einer Aussage darüber, wie Sie mit der Familie verwandt sind.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="submit"><p class="subheadbold">Übermitteln</p></a>
        <p>Wenn Sie Ihr ausgefülltes Formular abschicken, wird auf unserer Website eine Kopie erstellt, auf die Sie mit der ID-Nummer und einem langen Zufallsschlüssel zugreifen können, der als Link zu der von Ihnen angegebenen E-Mail-Adresse gesendet wird. Sie können es über den Link weiter aufrufen, bearbeiten und erneut speichern. Innerhalb kurzer Zeit wird der Site-Administrator Ihre Einreichung überprüfen, darauf reagieren und Ihnen eine Bestätigung senden.
        </p>
	</td>
</tr>
</table>
</body>
</html>